Debian Bug report logs - #330953
RM: rocks -- RoM; broken; unresponsive upstream

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Guus Sliepen <guus@debian.org>

Date: Fri, 30 Sep 2005 16:03:06 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#330953; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Guus Sliepen <guus@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Guus Sliepen <guus@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFA: rocks -- Make network sockets reliable in a transparent way
Date: Fri, 30 Sep 2005 17:57:33 +0200
Package: wnpp
Severity: normal

I request an adopter for the rocks package.

The package description is:
 Rocks protect sockets-based applications from network failures, particularly
 failures common to mobile computing, including:
 .
  - Link failures (e.g., unexpected modem disconnection);
  - IP address changes (e.g., laptop movement, DHCP lease expiry);
  - Extended periods of disconnection (e.g., laptop suspension).
 .
 Rock-enabled programs continue to run after any of these events; their broken
 connections recover automatically, without loss of in-flight data, when
 connectivity returns. Rocks work transparently with most applications,
 including SSH clients, X window applications, and network service daemons.

The current package does not work at all anymore (although it still
builds from source). Upstream told me more than a year ago they would
fix it, but nothing has happened since then. I also think there are not
many users of this package. If noone adopts it, I will ask for its
removal.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.13-rc6
Locale: LANG=nl_NL, LC_CTYPE=nl_NL (charmap=ISO-8859-1)



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#330953; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Torsten Schlabach" <TSchlabach@gmx.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 330953@bugs.debian.org (full text, mbox):

From: "Torsten Schlabach" <TSchlabach@gmx.net>
To: 330953@bugs.debian.org
Subject: I might be interested!
Date: Sat, 22 Oct 2005 17:52:25 +0200 (MEST)
Hi!

I might be interested to adopt the rocks package.

The package will probably make more sense again in the future if people
switch to mobile networks such as UMTS end EGDE. Disconnects are much more
common there than on other Internet connections used these days. And those
disconnects can be quite annoying if they appear in the middle of an SSH or
remote control session if you need five minutes to get back to where you
were disconnected.

I also believe the package is just not know enough. Otherwise it would be
used by more people. I don't think it got obsoleted by anything newer that
serves the same purpose, did it?

What would I have to do to adopt the package?

Regards,
Torsten



Reply sent to Guus Sliepen <guus@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Guus Sliepen <guus@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 330953-done@bugs.debian.org (full text, mbox):

From: Guus Sliepen <guus@debian.org>
To: Torsten Schlabach <TSchlabach@gmx.net>, 330953-done@bugs.debian.org
Subject: Re: Bug#330953: I might be interested!
Date: Tue, 25 Oct 2005 14:44:10 +0200
[Message part 1 (text/plain, inline)]
On Sat, Oct 22, 2005 at 05:52:25PM +0200, Torsten Schlabach wrote:

> I might be interested to adopt the rocks package.
[...]
> What would I have to do to adopt the package?

Upload a new version with yourself as the maintainer :)

-- 
Met vriendelijke groet / with kind regards,
    Guus Sliepen <guus@sliepen.eu.org>
[signature.asc (application/pgp-signature, inline)]

Bug reopened, originator not changed. Request was from Guus Sliepen <guus@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#330953; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Guus Sliepen <guus@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #22 received at 330953@bugs.debian.org (full text, mbox):

From: Guus Sliepen <guus@debian.org>
To: Torsten Schlabach <tschlabach@gmx.net>
Cc: 330953@bugs.debian.org
Subject: Re: Bug#330953: I might be interested!
Date: Thu, 19 Jan 2006 15:37:42 +0100
[Message part 1 (text/plain, inline)]
reassign 330953 ftp.debian.org
retitle 321907 Please remove package rocks from unstable and testing.
thanks

On Sun, Nov 27, 2005 at 05:38:56PM +0100, Torsten Schlabach wrote:

> >>>I might be interested to adopt the rocks package.
> >>>What would I have to do to adopt the package?
> >>>
> >>Upload a new version with yourself as the maintainer :)
> >
> >I still haven't seen you do that.
> >
> Sorry, a lot of other prios. But thank you for the reminder!

I still haven't seen an upload, and I still haven't seen a new upstream
version. In other words, this package is useless (it doesn't work) and
unmaintained. I ask the ftp-masters to remove this package from the
archives.

Torsten, this does not change much for you. If you ever do get around to
working on this package, you probably can just upload it, it then will be
treated as a new package.

-- 
Met vriendelijke groet / with kind regards,
    Guus Sliepen <guus@sliepen.eu.org>
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Guus Sliepen <guus@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Guus Sliepen <guus@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from "Adam D. Barratt" <adam@funky-badger.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Guus Sliepen <guus@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #33 received at 330953-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 330953-close@bugs.debian.org
Cc: rocks@packages.debian.org, rocks@packages.qa.debian.org
Subject: Bug#330953: fixed
Date: Sun, 22 Jan 2006 05:12:15 -0800
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

     rocks |      2.4-3 | source, alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 330953@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 08:19:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:37:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.